Geomatic studio models for Gisaf - Feature #13968

Create layers and all for the LB records
26/04/2022 14:48 - Philippe May

Status: Resolved Start date: 26/04/2022
Priority: Normal Due date:

Assignee: Philippe May % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour

Description
Follow up of discussions with Land Board Helena and Cleo.

Associated revisions

Revision 2cce957b - 26/04/2022 17:33 - Philippe May
Add layers for cadastral LB (Refs #13968)

History

#1 - 26/04/2022 17:21 - Philippe May

Updating the "cadastral" model file. In addition to that:

Database

Create schema (as postgres):

avgis=# create schema other_ lb AUTHORIZATION avgis;

Copy table (as avgis):

avgis=> CREATE TABLE other_lb.cadastral_lb AS TABLE other_avf.cadastral_avf;

SELECT 10562

avgis=> CREATE TABLE other_lb.cadastral_lb_dissolved AS TABLE other_avf.cadastral_avf_dissolved ;
SELECT 587

Style

insert into gisaf_map.gml (model_name, mapbox_paint ) VALUES ( 'CadastrallLB', '{"fill-outline-color": ["rgba",
80, 100, 100, 0.4], "fill-color": ["match", ["get", "class"], "AVF", ["rgba", 150, 220, 150, 0.6], "B-Memo-Av
", ["rgba", 150, 200, 100, 0.4], "Puramboke", ["rgba", 80, 20, 160, 0.4], "Temple", ["rgba", 20, 80, 150, 0.4]
, "Govt-land", ["rgba", 20, 80, 150, 0.4], "AV-Long-term-lease", ["rgba", 200, 230, 100, 0.6], "Access", ["rgb
a", 200, 130, 100, 0.6], "Exchanged", ["rgba", 150, 220, 150, 0.2], "Sea-erosion", ["rgba", 150, 150, 20, 0.5]
"Private", ["rgba", 200, 200, 200, 0.1], ["rgba", 200, 200, 200, 0.411}");

insert into gisaf_map.gml (model_name, mapbox_paint ) VALUES ( 'CadastrallLBDissolved', '{"fill-outline-color":
["rgba", 80, 100, 100, 0.4], "fill-color": ["match", ["get", "class"], "AVF", ["rgba", 150, 220, 150, 0.6], "

B-Memo-Av", ["rgba", 150, 200, 100, 0.4], "Puramboke", ["rgba", 80, 20, 160, 0.4], "Temple", ["rgba", 20, 80,

150, 0.4], "Govt-land", ["rgba", 20, 80, 150, 0.4], "Av-Long-term-lease", ["rgba", 200, 230, 100, 0.6], "Acces

s", ["rgba", 200, 130, 100, 0.6], "Exchanged", ["rgba", 150, 220, 150, 0.2], "Sea-erosion", ["rgba", 150, 150,
20, 0.5], "Private", ["rgba", 200, 200, 200, 0.1], ["rgba", 200, 200, 200, 0.411}");
#2 - 28/04/2022 17:18 - Philippe May

- Status changed from New to Resolved
